package com.xiugou.x1.design.module.autogen;


public abstract class RobotListAbstractCache<T extends RobotListAbstractCache.RobotListCfg> extends org.gaming.design.loader.DesignCache<T> {
	@Override
	public String fileName() {
		return "Z_机器人表_RobotList";
	}


	@Override
	protected final void loadAutoGenerate() {
	}





	public static class RobotListCfg implements org.gaming.design.loader.IDesignData {
		/**
		 * 序号
		 */
		protected int id;
		/**
		 * 昵称
		 */
		protected String nickanme;
		/**
		 * 等级
		 */
		protected int lv;
		@Override
		public int id() {
			return id;
		}
		public int getId() {
			return id;
		}
		public String getNickanme() {
			return nickanme;
		}
		public int getLv() {
			return lv;
		}
	}

}